org.apache.bcel.generic

## Class FSTORE

- java.lang.Object
- - org.apache.bcel.generic.Instruction
  - - org.apache.bcel.generic.LocalVariableInstruction
    - - org.apache.bcel.generic.StoreInstruction
      - - org.apache.bcel.generic.FSTORE

- All Implemented Interfaces:
    Cloneable, IndexedInstruction, PopInstruction, StackConsumer, TypedInstruction

      public class FSTORE
      extends StoreInstruction

  FSTORE - Store float into local variable

      Stack: ..., value -> ...

  Version:
    $Id: FSTORE.java 1812166 2017-10-13 23:48:11Z ggregory $

- - ### Field Summary

    - ### Fields inherited from class org.apache.bcel.generic.LocalVariableInstruction

      `n`

    - ### Fields inherited from class org.apache.bcel.generic.Instruction

      `length, opcode`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `FSTORE(int n)` Store float into local variable

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(Visitor v)` Call corresponding visitor method(s).

    - ### Methods inherited from class org.apache.bcel.generic.LocalVariableInstruction

      `dump, getCanonicalTag, getIndex, getType, initFromFile, setIndex, toString`

    - ### Methods inherited from class org.apache.bcel.generic.Instruction

      `consumeStack, copy, equals, getComparator, getLength, getName, getOpcode, hashCode, isValidByte, isValidShort, produceStack, readInstruction, setComparator, toString, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface org.apache.bcel.generic.StackConsumer

      `consumeStack`

- - ### Constructor Detail

    - #### FSTORE

          public FSTORE(int n)

      Store float into local variable
      Parameters:
        `n` - index of local variable

  - ### Method Detail

    - #### accept

          public void accept(Visitor v)

      Call corresponding visitor method(s). The order is: Call visitor methods of implemented interfaces first, then call methods according to the class hierarchy in descending order, i.e., the most specific visitXXX() call comes last.
      Overrides:
        `accept` in class `StoreInstruction`
      Parameters:
        `v` - Visitor object

Copyright © 2004–2017 The Apache Software Foundation. All rights reserved.